Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io
Class IOExceptionWithCause

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.io.IOExceptionWithCause

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TaggedIOException

    public class IOExceptionWithCause

extends IOException

Subclasses IOException with the `Throwable` constructors missing before Java 6. If you are using Java 6, consider this class deprecated and use `IOException`.

Since:
  Commons IO 1.4
Version:
  $Id: IOExceptionWithCause.java 651569 2008-04-25 10:42:55Z niallp $
Author:
  Apache Commons IO
See Also:
  Serialized Form

Constructor Summary
`IOExceptionWithCause(String message, Throwable cause)` Constructs a new instance with the given message and cause.
`IOExceptionWithCause(Throwable cause)` Constructs a new instance with the given cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IOExceptionWithCause

    public IOExceptionWithCause(String message,
                                Throwable cause)

  Constructs a new instance with the given message and cause.

  As specified in `Throwable`, the message in the given `cause` is not used in this instance's message.

  Parameters:
    `message` - the message (see `Throwable.getMessage()`)
    `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.

### IOExceptionWithCause

    public IOExceptionWithCause(Throwable cause)

  Constructs a new instance with the given cause.

  The message is set to `cause==null ? null : cause.toString()`, which by default contains the class and message of `cause`. This constructor is useful for call sites that just wrap another throwable.

  Parameters:
    `cause` - the cause (see `Throwable.getCause()`). A `null` value is allowed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.